Bug 967234 - (angleproject) Review Request: angleproject - Almost Native Graphics Layer Engine
Review Request: angleproject - Almost Native Graphics Layer Engine
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: qt5-qtwebkit
  Show dependency treegraph
 
Reported: 2013-05-25 17:31 EDT by Rex Dieter
Modified: 2015-10-16 10:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-16 10:10:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
licensecheck (26.01 KB, text/plain)
2013-05-30 06:52 EDT, Gregor Tätzner
no flags Details

  None (edit)
Description Rex Dieter 2013-05-25 17:31:17 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/angleproject.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/angleproject-0-0.2.20130517svn2215.src.rpm
Description: 
ANGLE is a conformant implementation of the OpenGL ES 2.0 specification that
is hardware‐accelerated via Direct3D. ANGLE v1.0.772 was certified compliant
by passing the ES 2.0.3 conformance tests in October 2011. ANGLE also provides
an implementation of the EGL 1.4 specification.

ANGLE is used as the default WebGL backend for both Google Chrome and
Mozilla Firefox on Windows platforms. Chrome uses ANGLE for all graphics
rendering on Windows, including the accelerated Canvas2D implementation
and the Native Client sandbox environment.

Portions of the ANGLE shader compiler are used as a shader validator and
translator by WebGL implementations across multiple platforms. It is used
on Mac OS X, Linux, and in mobile variants of the browsers. Having one shader
validator helps to ensure that a consistent set of GLSL ES shaders are
accepted across browsers and platforms. The shader translator can be used
to translate shaders to other shading languages, and to optionally apply
shader modifications to work around bugs or quirks in the native graphics
drivers. The translator targets Desktop GLSL, Direct3D HLSL, and even ESSL
for native GLES2 platforms.

Fedora Account System Username: rdieter
Comment 1 Rex Dieter 2013-05-25 17:47:15 EDT
scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5425283

$ rpmlint *.rpm angleproject-devel
angleproject.src: W: spelling-error %description -l en_US conformant -> conform ant, conform-ant, conformance
angleproject.src: W: spelling-error %description -l en_US backend -> backed, back end, back-end
angleproject.src: W: spelling-error %description -l en_US shader -> shared, shade, shadier
angleproject.src: W: spelling-error %description -l en_US validator -> lavatorial
angleproject.src: W: spelling-error %description -l en_US shaders -> shades, sharers, shavers
angleproject.src: W: invalid-url Source0: angleproject-r2215.tar.bz2
angleproject-devel.x86_64: W: spelling-error %description -l en_US conformant -> conform ant, conform-ant, conformance
angleproject-devel.x86_64: W: spelling-error %description -l en_US backend -> backed, back end, back-end
angleproject-devel.x86_64: W: spelling-error %description -l en_US shader -> shared, shade, shadier
angleproject-devel.x86_64: W: spelling-error %description -l en_US validator -> lavatorial
angleproject-devel.x86_64: W: spelling-error %description -l en_US shaders -> shades, sharers, shavers
2 packages and 0 specfiles checked; 0 errors, 11 warnings.


(some of those apparent misspelling and suggestions are comical)
Comment 2 Rex Dieter 2013-05-25 17:48:27 EDT
In particular, this is submitted for review as part of unbundling code from qt5-qtwebkit, the portion used is for WebGL support:
"Portions of the ANGLE shader compiler are used as a shader validator and
translator by WebGL implementations across multiple platforms."
Comment 3 Kevin Kofler 2013-05-25 19:24:24 EDT
Maybe the %description for the native (not MinGW) angleproject should be more focused on the parts that are relevant on GNU/Linux? (Direct3D doesn't make a lot of sense around here.)
Comment 4 Gregor Tätzner 2013-05-30 06:52:02 EDT
Created attachment 754778 [details]
licensecheck

agreed

And can you build the libs statically like mingw-angleproject?

AUTHORS and CONTRIBUTORS should also be included

oh and ironically angel is bundling in src/third_party/compiler ArrayBoundsClamper from webkit project ;)
Comment 5 Gregor Tätzner 2013-05-30 06:54:46 EDT
(In reply to Gregor Tätzner from comment #4)
> And can you build the libs statically like mingw-angleproject?

of course I mean build as *.so lib
Comment 6 Rex Dieter 2013-05-30 07:35:38 EDT
I'd prefer not to needlessly modify upstream buildsystem, and then have to start worrying about tracking ABI in our forked downstream.
Comment 7 Rex Dieter 2013-05-30 09:00:24 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/angleproject/angleproject.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/angleproject/angleproject-0-0.3.20130517svn2215.src.rpm

%changelog
* Thu May 30 2013 Rex Dieter <rdieter@fedoraproject.org> 0-0.3.20130517svn2215
- %%doc AUTHORS CONTRIBUTORS
- trim %%description
Comment 8 Rex Dieter 2013-06-21 10:55:31 EDT
FYI, licensing is ok, those GPL (v3 or later) items from licensecheck are from bison, and include the text:

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */
Comment 9 Rex Dieter 2015-10-16 10:10:35 EDT
Due to recent policy changes to make bundling more permissive, and the fact this review has been sitting here for 2+ years, I'm no longer personally interested in persuing this.  closing -> notabug

I'll try to keep it around on my space at
 http://rdieter.fedorapeople.org/rpms/qt5
semi-indefinitely, in case anyone else is interested in picking this up.

Note You need to log in before you can comment on or make changes to this bug.